/*
 * Copyright 2015 The CHOReVOLUTION project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package eu.chorevolution.studio.eclipse.core.utils.syncope;

public class ChoreographyToDownload {
	private String key;
	private String name;

	public ChoreographyToDownload() {
		super();
	}

	public ChoreographyToDownload(String name) {
		super();
		this.name = name;
	}

	public ChoreographyToDownload(String key, String name) {
		super();
		this.key = key;
		this.name = name;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj == this)
			return true;
		if (!(obj instanceof SynthesisProcessor))
			return false;
		SynthesisProcessor synthesis = (SynthesisProcessor) obj;
		return this.getKey().equals(synthesis.getKey());
	}

}
